Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure.io
Class PDBSRSReader

    java.lang.Object
      org.biojava.bio.structure.io.PDBSRSReader

All Implemented Interfaces:
  StructureIO

    public class PDBSRSReader

extends Object
implements StructureIO

reads a PDB file from a local SRS installation using getz Actually is the same as PDBFileReader, but instead of reading from a file stream, reads from a buffered stream. if no matching PDB code found, returns null

Author:
  Andreas Prlic

Constructor Summary
`PDBSRSReader()`

Method Summary
`Structure` | `getStructureById(String pdbId)` load a structure from from SRS installation using wgetz returns null if no structure found

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDBSRSReader

    public PDBSRSReader()

Method Detail

### getStructureById

    public Structure getStructureById(String pdbId)
                               throws IOException

  load a structure from from SRS installation using wgetz returns null if no structure found

  Specified by:
    `getStructureById` in interface `StructureIO`
  Parameters:
    `pdbId` - a String specifying the id value (PDB code)
  Returns:
    a Structure object
  Throws:
    `IOException` - ...

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD